#%define alphatag beta

Name:		gdesklets
Version:	0.36.1
Release:	5%{?dist}
Summary:	An interactive Imlib2 console for the X Window system

Group:		User Interface/Desktops
License:	GPL+

URL:		http://www.%{name}.de/
Source0:	http://%{name}.de/files/%{name}-%{version}.tar.gz
Patch0:		transition.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel > 2.0.0, pyorbit-devel , pygtk2-devel > 2.4.0, 
BuildRequires:  librsvg2-devel, libgtop2-devel >= 2.8.0, gettext   
BuildRequires:  libXau-devel, libXdmcp-devel, intltool, gnome-python2-devel
BuildRequires:  libgnome-devel > 2.6.0, desktop-file-utils, libcap-devel
Requires:	gnome-python2-gconf >= 2.6.0
Requires(post): shared-mime-info
Requires(postun): shared-mime-info


%description
'gDesklets' provides an advanced architecture for desktop applets -
tiny displays that sit on your desktop such as status meters, icon
bars, weather sensors, news tickers.


%prep
%setup -q -n gDesklets-%{version}
%patch0 -p1 -b .transition

%build
%configure \
 --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

desktop-file-install --vendor=fedora  \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category X-Fedora \
	--add-category Application \
	--add-category Utility \
	data/%{name}.desktop

mkdir -p  %{buildroot}{%{_bindir},%{_datadir}/%{name}/data/,%{_datadir}/%{name}/Displays/,%{_datadir}/%{name}/Controls/}

rm -rf %{buildroot}%{_datadir}/mime/application
rm -rf %{buildroot}%{_datadir}/mime/{globs,magic,XMLnamespaces,aliases,subclasses,mime.cache}
rm -f %{buildroot}%{_datadir}/applications/{%{name}.desktop,mimeinfo.cache}
rm -f %{buildroot}%{_datadir}/mime/{globs2,generic-icons,icons,treemagic,types}


%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/gnome/48x48/mimetypes/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/*


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.36.1-4
- Rebuild for Python 2.6

* Thu Nov 20 2008 Luya Tshimbalanga <luya@fedoraproject.org> - 0.36.1-3
- Updated from upstream
- (#472263) Removed autogenerated-mime data for integrating check
  courtesy of Christian Krause (chkr@plauener.de) 

* Fri Oct 03 2008 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.36-2
- Cleaned up spec
- Minor fixes

* Fri Feb 22 2008 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.36-1
- Update from upstream
- Added libcap-devel for dependancy

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.36-0.4.beta
- Autorebuild for GCC 4.3

* Fri Nov 23 2007 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.36.0-3.beta
- Changed url adress
- Added patch for dialog

* Thu Nov 15 2007 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.36.0-1.beta
- New beta release
- Removed patch

* Tue Aug 21 2007 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.4-9
- Renamed GPL to GPL+ following the new Fedora tagging license schema

* Sun Jul 15 2007 Tyler Owen <tyler.l.owen@gmail.com> - 0.35.4-8
- Added directory for Displays
- Added directory for Controls

* Thu Jun 07 2007 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.4-7.1
- Dropped Applet name category
- Replaced Accesories name category by Applet
- Added patch to remove old Xorg 6.8 notification for transition.py
- Removed no-longer needed python-abi

* Tue May 15 2007 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.4-5
- Rebuild with Koji

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.35.4-4
- Rebuild for new Python

* Tue Nov 07 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.4-3
- Added gnome-python2-devel for buildrequires (rawhide)

* Tue Nov 07 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.4-2
- Removed gnome-python for buildrequires

* Tue Nov 07 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.4-1
- Removed patch no longer needed
- Updated to 0.35.4

* Thu Aug 31 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-14
- Add patch related to pyorbit due to upstream bug

* Wed Aug 30 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-13.2
- pyorbit for FC-4 is 2.0.1 (-_-)

* Wed Aug 30 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-13
- Fixed a silly typo
- Added intltool for BuildRequires

* Sun Aug 27 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-10
- Removed unecessary comment

* Wed Apr 19 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-8
- Remove conditional sign for pyorbit-devel

* Mon Apr 03 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-5
- Ajusted pyorbit requirement for ppc64

* Thu Jan 19 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-4
- Rebuild for Fedora Extras 5

* Mon Jan 16 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.3-1
- Updated to 0.35.3
- Removed thumbmail
- Removed patch, no longer needed

* Thu Jan 5 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-26.fc5
- Minor rebuilt

* Thu Jan 5 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-25.fc5
- Rebuilt against libgtop2-devel
- Changed url of the provider

* Sun Dec 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-24.fc5
- Added libXdmcp-devel on BuildRequires

* Sun Dec 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-23.fc5
- Added libXau-devel on BuildRequires

* Wed Dec 14 2005 Luya Tshimbalanga
 <luya_tfz@thefinalzone.com> - 0.35.2-22
- Added desktop-file-utils for build requirement
- Clean up

* Tue Dec 6 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-21
- Removed unnecessary comment  
- More clean up

* Tue Dec 6 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-20
- Clean up 
- Fixed the right path for symbolic link

* Sat Dec 3 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-19
- Added disable-schemas-install on configure
- Trying to symlink using nrpms method based on FC3 version

* Tue Nov 29 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-18
- Added patch against NullObject.py (thanks jwb)

* Tue Nov 29 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-17
- Reorganized names and fixed install

* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-12
- Removed pygtk2

* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-11
- Added distribution version
- Clarified the note about GConf instead of gconf

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-10
- Added libgnomeui-devel to test some sensors

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-9
- Cleaned up and removed unnecesary buildrequires

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-8
- Fixed error on mime.cache

* Wed Nov 16 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-5
- Added desktop-file-utils command for post and postun

* Wed Nov 16 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-4
- Fixed mistakes (thanks Alex Lancaster (alexl@users.sourceforge.net))

* Sat Nov 12 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-3
- Enhanced codes to be FedoraGuide compliant (thanks to Brian Pepple (bdpepple@ameritech.net))

* Sat Nov 12 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-1
- Initial Fedora Extras package
